using XGame.Database;

namespace FL
{
    /// <summary>
    /// 配置表没有字段定义，代码需要动态加载的资源名字
    /// </summary>
    internal static partial class AddressableDefine
    {
        /// <summary>
        /// 物品品质框
        /// </summary>
        /// <param name="level"></param>
        /// <returns></returns>
        public static string ItemFrame(EQualityLevel level)
        {
            return $"item_frame{(int)level}";
        }

        /// <summary>
        /// 物品图标
        /// </summary>
        /// <param name="iconName"></param>
        /// <returns></returns>
        public static string ItemIcon(string iconName)
        {
            return $"itemicon{iconName}";
        }

        /// <summary>
        /// 龙蛋品质框
        /// </summary>
        /// <param name="quality"></param>
        /// <returns></returns>
        public static string EggQuality(int quality)
        {
            return $"eggQuality{quality}";
        }

        /// <summary>
        /// 龙蛋fgui的资源包名
        /// </summary>
        /// <returns></returns>
        public static string GetDragonEggPkgName()
        {
            return "DragonEgg";
        }
    }
}
